MOUNT.S3QL(1)

NAME
mount.s3ql - Mount an S3QL file system

SYNOPSIS

mount.s3ql [options] <storage url> <mount point>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The mount.s3ql command mounts the S3QL file system stored in storage url in the directory mount point. The storage url depends on the backend that is used. The S3QL User's Guide should be consulted for a description of the available backends.

OPTIONS

The mount.s3ql command accepts the following options.

--log <target>
    Destination for log messages. Specify none for standard output or syslog for the system logging daemon. Anything else will be interpreted as a file name. Log files will be rotated when they reach 1 MiB, and at most 5 old log files will be kept. Default: ~/.s3ql/mount.log

--cachedir <path>
    Store cached data in this directory (default: ~/.s3ql)

--authfile <path>
    Read authentication credentials from this file (default: ~/.s3ql/authinfo2)

--debug-modules <modules>
    Activate debugging output from specified modules (use commas to separate multiple modules). Debug messages will be written to the target specified by the --log option.

--debug
    Activate debugging output from all S3QL modules. Debug messages will be written to the target specified by the --log option.

--quiet
    be really quiet

--backend-options <options>
    Backend specific options (separate by commas). See backend documentation for available options.

--version
    just print program version and exit

--cachesize <size>
    Cache size in KiB (default: autodetect).

--max-cache-entries <num>
    Maximum number of entries in cache (default: autodetect). Each cache entry requires one file descriptor, so if you increase this number you have to make sure that your process file descriptor limit (as set with ulimit -n) is high enough (at least the number of cache entries + 100).

--allow-other
    Normally, only the user who called mount.s3ql can access the mount point. This user then also has full access to it, independent of individual file permissions. If the --allow-other option is specified, other users can access the mount point as well and individual file permissions are taken into account for all users.

--allow-root
    Like --allow-other, but restrict access to the mounting user and the root user.

--fg
    Do not daemonize, stay in foreground

--upstart
    Stay in foreground and raise SIGSTOP once mountpoint is up.

--compress <algorithm-lvl>
    Compression algorithm and compression level to use when storing new data. algorithm may be any of lzma, bzip2, zlib, or none. lvl may be any integer from 0 (fastest) to 9 (slowest). Default: lzma-6

--metadata-upload-interval <seconds>
    Interval in seconds between complete metadata uploads. Set to 0 to disable. Default: 24h.

--threads <no>
    Number of parallel upload threads to use (default: auto).

--nfs
    Enable some optimizations for exporting the file system over NFS. (default: False)

EXIT CODES

mount.s3ql may terminate with the following exit codes:

0   Everything went well.

1   An unexpected error occured. This may indicate a bug in the program.

2   Invalid command line argument.

3   Invalid backend option.

10  Could not open log file for writing.

11  No such backend.

12  Authentication file has insecure permissions.

13  Unable to parse proxy settings.

14  Invalid credentials (Authentication failed).

15  No permission to access backend (Authorization denied).

16  Invalid storage URL, specified location does not exist in backend.

17  Wrong file system passphrase.

18  No S3QL file system found at given storage URL.

19  Unable to connect to backend, can't resolve hostname.

30  File system was not unmounted cleanly.

31  File system appears to be mounted elsewhere.

32  Unsupported file system revision (too old).

33  Unsupported file system revision (too new).

34  Insufficient free nodes, need to run fsck.s3ql.

35  Attempted to mount read-only, this is not supported.

36  Mountpoint does not exist.

37  Not enough available file descriptors.

39  Unable to bind file system to mountpoint.

45  Unable to access cache directory.

SEE ALSO

The S3QL homepage is at https://bitbucket.org/nikratio/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>